Package: org.codehaus.groovy.ant

## [Java] Class AntProjectPropertiesDelegate

- org.codehaus.groovy.ant.AntProjectPropertiesDelegate

-     public class AntProjectPropertiesDelegate
      extends Hashtable

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AntProjectPropertiesDelegate(Project project)`
    `AntProjectPropertiesDelegate(Map<? extends String, ?> t)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `clear()` throws: UnsupportedOperationException is always thrown when this method is invoked.
    `` | `public Object` | `clone()`
    `` | `public boolean` | `contains(Object value)`
    `` | `public boolean` | `containsKey(Object key)`
    `` | `public boolean` | `containsValue(Object value)`
    `` | `public Enumeration<Object>` | `elements()`
    `` | `public Set<Map.Entry<String, Object>>` | `entrySet()`
    `` | `public boolean` | `equals(Object o)`
    `` | `public Object` | `get(Object key)`
    `` | `public int` | `hashCode()`
    `` | `public boolean` | `isEmpty()`
    `` | `public Set<String>` | `keySet()`
    `` | `public Enumeration<String>` | `keys()`
    `` | `public Object` | `put(String key, Object value)`
    `` | `public void` | `putAll(Map<? extends String, ?> t)`
    `` | `public Object` | `remove(Object key)` throws: UnsupportedOperationException is always thrown when this method is invoked.
    `` | `public int` | `size()`
    `` | `public String` | `toString()`
    `` | `public Collection<Object>` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Hashtable` | `remove, remove, get, put, equals, toString, values, hashCode, clone, clear, isEmpty, replace, replace, replaceAll, size, contains, elements, merge, entrySet, putAll, putIfAbsent, compute, forEach, containsKey, computeIfAbsent, keys, keySet, containsValue, getOrDefault, computeIfPresent, wait, wait, wait, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public AntProjectPropertiesDelegate(Project project)

    - #### public AntProjectPropertiesDelegate(Map<? extends String, ?> t)

  - ### Method Detail

    - #### @Override public void clear()

      throws:
        UnsupportedOperationException is always thrown when this method is invoked. The Project properties are immutable.

    - #### @Override @edu.umd.cs.findbugs.annotations.SuppressFBWarnings(value = "CN_IDIOM_NO_SUPER_CALL", justification = "Okay for our use case. The cloned delegate should have the correct type.") public Object clone()

    - #### @Override @SuppressWarnings("HashtableContains") public boolean contains(Object value)

    - #### @Override public boolean containsKey(Object key)

    - #### @Override public boolean containsValue(Object value)

    - #### @Override public Enumeration<Object> elements()

    - #### @Override public Set<Map.Entry<String, Object>> entrySet()

    - #### @Override public boolean equals(Object o)

    - #### @Override public Object get(Object key)

    - #### @Override public int hashCode()

    - #### @Override public boolean isEmpty()

    - #### @Override public Set<String> keySet()

    - #### @Override public Enumeration<String> keys()

    - #### @Override public Object put(String key, Object value)

    - #### @Override public void putAll(Map<? extends String, ?> t)

    - #### @Override public Object remove(Object key)

      throws:
        UnsupportedOperationException is always thrown when this method is invoked. The Project properties are immutable.

    - #### @Override public int size()

    - #### @Override public String toString()

    - #### @Override public Collection<Object> values()